Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor
Class MockTripleHandler

    java.lang.Object
      org.apache.any23.extractor.MockTripleHandler

All Implemented Interfaces:
  org.apache.any23.writer.TripleHandler

    public class MockTripleHandler

extends Object
implements org.apache.any23.writer.TripleHandler

Just a mockup implementing a `TripleHandler`. Used only for test purposes.

Constructor Summary
`MockTripleHandler()`

Method Summary
`void` | `close()`
`void` | `closeContext(org.apache.any23.extractor.ExtractionContext context)`
`void` | `endDocument(org.openrdf.model.URI documentURI)`
`void` | `expectClose()`
`void` | `expectCloseContext(String extractorName, org.openrdf.model.URI documentURI, String localID)`
`void` | `expectEndDocument(org.openrdf.model.URI documentURI)`
`void` | `expectNamespace(String prefix, String uri, String extractorName, org.openrdf.model.URI documentURI, String localID)`
`void` | `expectOpenContext(String extractorName, org.openrdf.model.URI documentURI, String localID)`
`void` | `expectSetContentLength(long contentLength)`
`void` | `expectStartDocument(org.openrdf.model.URI documentURI)`
`void` | `expectTriple(org.openrdf.model.Resource s, org.openrdf.model.URI p, org.openrdf.model.Value o, org.openrdf.model.URI g, String extractorName, org.openrdf.model.URI documentURI, String localID)`
`void` | `openContext(org.apache.any23.extractor.ExtractionContext context)`
`void` | `receiveNamespace(String prefix, String uri, org.apache.any23.extractor.ExtractionContext context)`
`void` | `receiveTriple(org.openrdf.model.Resource s, org.openrdf.model.URI p, org.openrdf.model.Value o, org.openrdf.model.URI g, org.apache.any23.extractor.ExtractionContext context)`
`void` | `setContentLength(long contentLength)`
`void` | `startDocument(org.openrdf.model.URI documentURI)`
`void` | `verify()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockTripleHandler

    public MockTripleHandler()

Method Detail

### expectStartDocument

    public void expectStartDocument(org.openrdf.model.URI documentURI)

### expectEndDocument

    public void expectEndDocument(org.openrdf.model.URI documentURI)

### expectSetContentLength

    public void expectSetContentLength(long contentLength)

### expectClose

    public void expectClose()

### expectOpenContext

    public void expectOpenContext(String extractorName,
                                  org.openrdf.model.URI documentURI,
                                  String localID)

### expectCloseContext

    public void expectCloseContext(String extractorName,
                                   org.openrdf.model.URI documentURI,
                                   String localID)

### expectTriple

    public void expectTriple(org.openrdf.model.Resource s,
                             org.openrdf.model.URI p,
                             org.openrdf.model.Value o,
                             org.openrdf.model.URI g,
                             String extractorName,
                             org.openrdf.model.URI documentURI,
                             String localID)

### expectNamespace

    public void expectNamespace(String prefix,
                                String uri,
                                String extractorName,
                                org.openrdf.model.URI documentURI,
                                String localID)

### verify

    public void verify()

### startDocument

    public void startDocument(org.openrdf.model.URI documentURI)

  Specified by:
    `startDocument` in interface `org.apache.any23.writer.TripleHandler`

### endDocument

    public void endDocument(org.openrdf.model.URI documentURI)

  Specified by:
    `endDocument` in interface `org.apache.any23.writer.TripleHandler`

### openContext

    public void openContext(org.apache.any23.extractor.ExtractionContext context)

  Specified by:
    `openContext` in interface `org.apache.any23.writer.TripleHandler`

### closeContext

    public void closeContext(org.apache.any23.extractor.ExtractionContext context)

  Specified by:
    `closeContext` in interface `org.apache.any23.writer.TripleHandler`

### receiveTriple

    public void receiveTriple(org.openrdf.model.Resource s,
                              org.openrdf.model.URI p,
                              org.openrdf.model.Value o,
                              org.openrdf.model.URI g,
                              org.apache.any23.extractor.ExtractionContext context)

  Specified by:
    `receiveTriple` in interface `org.apache.any23.writer.TripleHandler`

### receiveNamespace

    public void receiveNamespace(String prefix,
                                 String uri,
                                 org.apache.any23.extractor.ExtractionContext context)

  Specified by:
    `receiveNamespace` in interface `org.apache.any23.writer.TripleHandler`

### close

    public void close()

  Specified by:
    `close` in interface `org.apache.any23.writer.TripleHandler`

### setContentLength

    public void setContentLength(long contentLength)

  Specified by:
    `setContentLength` in interface `org.apache.any23.writer.TripleHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.